
# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kde-i18n-ru
Summary:	Russian language support for KDE
Version:    3.1.3
Release:    1mdk
Group:         System/Internationalization
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:     %name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	locales-ru, kdelibs >= 3.0.3
BuildArch:	noarch
Obsoletes:	kde-i18n-ru3
BuildRequires:  arts autoconf automake freetype2 gettext kdelibs make texinfo

%description
Russian language support for KDE.

%prep

%setup -q -n %name-%version

%build
%configure

%make


%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Workaroud for a buggy Makefile...
rm -f $RPM_BUILD_DIR/%name/docs/kdelibs/api/install-dep.entities

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/ru/
#
#
%dir %_docdir/HTML/ru/ksirtet/
%doc %_docdir/HTML/ru/ksirtet/common
%doc %_docdir/HTML/ru/ksirtet/*.bz2
%doc %_docdir/HTML/ru/ksirtet/*.docbook
#
%dir %_docdir/HTML/ru/common/
%doc %_docdir/HTML/ru/common/fdl-license
%doc %_docdir/HTML/ru/common/gpl-license
%doc %_docdir/HTML/ru/common/*.css
%doc %_docdir/HTML/ru/common/*.dcl
%doc %_docdir/HTML/ru/common/*.html
%doc %_docdir/HTML/ru/common/*.png
#
#
%dir %_docdir/HTML/ru/kandy/
%doc %_docdir/HTML/ru/kandy/common
%doc %_docdir/HTML/ru/kandy/*.docbook
%doc %_docdir/HTML/ru/kandy/*.bz2
#
#
#
#
%dir %_docdir/HTML/ru/kcontrol/
#
%dir %_docdir/HTML/ru/kicker/
%doc %_docdir/HTML/ru/kicker/common
%doc %_docdir/HTML/ru/kicker/*.docbook
%doc %_docdir/HTML/ru/kicker/*.bz2
#
%dir %_docdir/HTML/ru/khelpcenter/
%doc %_docdir/HTML/ru/khelpcenter/*.css
%doc %_docdir/HTML/ru/khelpcenter/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/*.html
%doc %_docdir/HTML/ru/khelpcenter/*.png
%doc %_docdir/HTML/ru/khelpcenter/*.bz2

%dir %_docdir/HTML/ru/khelpcenter/quickstart/
%doc %_docdir/HTML/ru/khelpcenter/quickstart/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/quickstart/*.bz2

%dir %_docdir/HTML/ru/khelpcenter/faq/
%doc %_docdir/HTML/ru/khelpcenter/faq/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/faq/*.bz2

%dir %_docdir/HTML/ru/khelpcenter/glossary/
%doc %_docdir/HTML/ru/khelpcenter/glossary/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/glossary/common
%doc %_docdir/HTML/ru/khelpcenter/glossary/*.bz2

%dir %_docdir/HTML/ru/khelpcenter/userguide/
%doc %_docdir/HTML/ru/khelpcenter/userguide/*.docbook
%doc %_docdir/HTML/ru/khelpcenter/userguide/*.bz2

%dir %_docdir/HTML/ru/khelpcenter/visualdict/
%doc %_docdir/HTML/ru/khelpcenter/visualdict/*.bz2
%doc %_docdir/HTML/ru/khelpcenter/visualdict/*.docbook
#


%dir %_docdir/HTML/ru/kicker-applets/
%doc %_docdir/HTML/ru/kicker-applets/common
%doc %_docdir/HTML/ru/kicker-applets/*.docbook
%doc %_docdir/HTML/ru/kicker-applets/*.bz2
#
%dir %_docdir/HTML/ru/ktalkd/
%doc %_docdir/HTML/ru/ktalkd/common
%doc %_docdir/HTML/ru/ktalkd/*.docbook
%doc %_docdir/HTML/ru/ktalkd/*.bz2
#
%dir %_docdir/HTML/ru/kate/
%dir %_docdir/HTML/ru/kate/*.docbook

%dir %_docdir/HTML/ru/kate-plugins/
%doc %_docdir/HTML/ru/kate-plugins/*.docbook
%doc %_docdir/HTML/ru/kate-plugins/common
%doc %_docdir/HTML/ru/kate-plugins/*.bz2
#
#
#
%dir %_docdir/HTML/ru/kodo/
%doc %_docdir/HTML/ru/kodo/common
%doc %_docdir/HTML/ru/kodo/*.docbook
%doc %_docdir/HTML/ru/kodo/*.bz2
#
%dir %_docdir/HTML/ru/kbattleship/
%doc %_docdir/HTML/ru/kbattleship/common
%doc %_docdir/HTML/ru/kbattleship/*.docbook
%doc %_docdir/HTML/ru/kbattleship/*.bz2
#
#
%dir %_docdir/HTML/ru/kppp/
%doc %_docdir/HTML/ru/kppp/*.docbook
%doc %_docdir/HTML/ru/kppp/*.bz2
%doc %_docdir/HTML/ru/kppp/common
#
#
%dir %_docdir/HTML/ru/kscd/
%doc %_docdir/HTML/ru/kscd/common
%doc %_docdir/HTML/ru/kscd/*.docbook
%doc %_docdir/HTML/ru/kscd/*.bz2
#
%dir %_docdir/HTML/ru/ksnapshot/
%doc %_docdir/HTML/ru/ksnapshot/common
%doc %_docdir/HTML/ru/ksnapshot/*.docbook
%doc %_docdir/HTML/ru/ksnapshot/*.bz2
#
%dir %_docdir/HTML/ru/kwuftpd/
%doc %_docdir/HTML/ru/kwuftpd/common
%doc %_docdir/HTML/ru/kwuftpd/*.docbook
%doc %_docdir/HTML/ru/kwuftpd/*.bz2
#
%dir %_docdir/HTML/ru/kworldclock/
%doc %_docdir/HTML/ru/kworldclock/common
%doc %_docdir/HTML/ru/kworldclock/*.docbook
%doc %_docdir/HTML/ru/kworldclock/*.bz2
#
%dir %_docdir/HTML/ru/noatun/
%doc %_docdir/HTML/ru/noatun/common
%doc %_docdir/HTML/ru/noatun/*.docbook
%doc %_docdir/HTML/ru/noatun/*.bz2
#
%dir %_docdir/HTML/ru/kmix/
%doc %_docdir/HTML/ru/kmix/common
%doc %_docdir/HTML/ru/kmix/*.docbook
%doc %_docdir/HTML/ru/kmix/*.bz2
#
%dir %_docdir/HTML/ru/kpager/
%doc %_docdir/HTML/ru/kpager/common
%doc %_docdir/HTML/ru/kpager/*.docbook
%doc %_docdir/HTML/ru/kpager/*.bz2
#
%dir %_docdir/HTML/ru/kstars/
%doc %_docdir/HTML/ru/kstars/*.docbook
%doc %_docdir/HTML/ru/kstars/common
%doc %_docdir/HTML/ru/kstars/*.bz2
#
%dir %_docdir/HTML/ru/atlantik/
%doc %_docdir/HTML/ru/atlantik/common
%doc %_docdir/HTML/ru/atlantik/*.bz2
%doc %_docdir/HTML/ru/atlantik/*.docbook

%dir %_docdir/HTML/ru/kbabel/
%doc %_docdir/HTML/ru/kbabel/common
%doc %_docdir/HTML/ru/kbabel/*.bz2
%doc %_docdir/HTML/ru/kbabel/*.docbook

%dir %_docdir/HTML/ru/kinfocenter/
%dir %_docdir/HTML/ru/kinfocenter/partitions/
%doc %_docdir/HTML/ru/kinfocenter/partitions/common
%doc %_docdir/HTML/ru/kinfocenter/partitions/*.bz2
%doc %_docdir/HTML/ru/kinfocenter/partitions/*.docbook

%dir %_docdir/HTML/ru/kinfocenter/pci/
%doc %_docdir/HTML/ru/kinfocenter/pci/common
%doc %_docdir/HTML/ru/kinfocenter/pci/*.bz2
%doc %_docdir/HTML/ru/kinfocenter/pci/*.docbook

%dir %_docdir/HTML/ru/kinfocenter/pcmcia/
%doc %_docdir/HTML/ru/kinfocenter/pcmcia/common
%doc %_docdir/HTML/ru/kinfocenter/pcmcia/*.bz2
%doc %_docdir/HTML/ru/kinfocenter/pcmcia/*.docbook

%dir %_docdir/HTML/ru/kinfocenter/processor/
%doc %_docdir/HTML/ru/kinfocenter/processor/common
%doc %_docdir/HTML/ru/kinfocenter/processor/*.bz2
%doc %_docdir/HTML/ru/kinfocenter/processor/*.docbook

%dir %_docdir/HTML/ru/kinfocenter/sound/
%doc %_docdir/HTML/ru/kinfocenter/sound/common
%doc %_docdir/HTML/ru/kinfocenter/sound/*.bz2
%doc %_docdir/HTML/ru/kinfocenter/sound/*.docbook

%dir %_docdir/HTML/ru/kinfocenter/xserver/
%doc %_docdir/HTML/ru/kinfocenter/xserver/common
%doc %_docdir/HTML/ru/kinfocenter/xserver/*.bz2
%doc %_docdir/HTML/ru/kinfocenter/xserver/*.docbook

%dir %_docdir/HTML/ru/KRegExpEditor/
%doc %_docdir/HTML/ru/KRegExpEditor/common
%doc %_docdir/HTML/ru/KRegExpEditor/*.bz2
%doc %_docdir/HTML/ru/KRegExpEditor/*.docbook

%dir %_docdir/HTML/ru/kspaceduel/
%doc %_docdir/HTML/ru/kspaceduel/common
%doc %_docdir/HTML/ru/kspaceduel/*.bz2
%doc %_docdir/HTML/ru/kspaceduel/*.docbook

%dir %_docdir/HTML/ru/kwin4/
%doc %_docdir/HTML/ru/kwin4/common
%doc %_docdir/HTML/ru/kwin4/*.bz2
%doc %_docdir/HTML/ru/kwin4/*.docbook

%dir %_docdir/HTML/ru/lskat/
%doc %_docdir/HTML/ru/lskat/common
%doc %_docdir/HTML/ru/lskat/*.bz2
%doc %_docdir/HTML/ru/lskat/*.docbook

%dir %_docdir/HTML/ru/artsbuilder/
%doc %_docdir/HTML/ru/artsbuilder/common
%doc %_docdir/HTML/ru/artsbuilder/*.bz2
%doc %_docdir/HTML/ru/artsbuilder/*.docbook

%dir %_docdir/HTML/ru/kcontrol/arts/
%doc %_docdir/HTML/ru/kcontrol/arts/*.docbook
%doc %_docdir/HTML/ru/kcontrol/arts/*.bz2
%doc %_docdir/HTML/ru/kcontrol/arts/common

%dir %_docdir/HTML/ru/kcontrol/keyboard/
%doc %_docdir/HTML/ru/kcontrol/keyboard/common
%doc %_docdir/HTML/ru/kcontrol/keyboard/*.bz2
%doc %_docdir/HTML/ru/kcontrol/keyboard/*.docbook

%dir %_docdir/HTML/ru/kcontrol/mouse/
%doc %_docdir/HTML/ru/kcontrol/mouse/common
%doc %_docdir/HTML/ru/kcontrol/mouse/*.bz2
%doc %_docdir/HTML/ru/kcontrol/mouse/*.docbook

%dir %_docdir/HTML/ru/kcontrol/useragent/
%doc %_docdir/HTML/ru/kcontrol/useragent/common
%doc %_docdir/HTML/ru/kcontrol/useragent/*.bz2
%doc %_docdir/HTML/ru/kcontrol/useragent/*.docbook

%dir %_docdir/HTML/ru/kenolaba/
%doc %_docdir/HTML/ru/kenolaba/common
%doc %_docdir/HTML/ru/kenolaba/*.bz2
%doc %_docdir/HTML/ru/kenolaba/*.docbook

%dir %_docdir/HTML/ru/klines/
%doc %_docdir/HTML/ru/klines/common
%doc %_docdir/HTML/ru/klines/*.bz2
%doc %_docdir/HTML/ru/klines/*.docbook

%dir %_docdir/HTML/ru/kmines/
%doc %_docdir/HTML/ru/kmines/common
%doc %_docdir/HTML/ru/kmines/*.bz2
%doc %_docdir/HTML/ru/kmines/*.docbook

%dir %_docdir/HTML/ru/ktuberling/
%doc %_docdir/HTML/ru/ktuberling/common
%doc %_docdir/HTML/ru/ktuberling/*.bz2
%doc %_docdir/HTML/ru/ktuberling/*.docbook

%dir %_docdir/HTML/ru/megami/
%doc %_docdir/HTML/ru/megami/common
%doc %_docdir/HTML/ru/megami/*.bz2
%doc %_docdir/HTML/ru/megami/*.docbook

%dir %_docdir/HTML/ru/ark/
%doc %_docdir/HTML/ru/ark/common
%doc %_docdir/HTML/ru/ark/*.bz2
%doc %_docdir/HTML/ru/ark/*.docbook

%dir %_docdir/HTML/ru/kdeprint/
%doc %_docdir/HTML/ru/kdeprint/*.docbook

%dir %_docdir/HTML/ru/aktion/
%doc %_docdir/HTML/ru/aktion/common
%doc %_docdir/HTML/ru/aktion/*.bz2
%doc %_docdir/HTML/ru/aktion/*.docbook

%dir %_docdir/HTML/ru/kcontrol/clock/
%doc %_docdir/HTML/ru/kcontrol/clock/common
%doc %_docdir/HTML/ru/kcontrol/clock/*.bz2
%doc %_docdir/HTML/ru/kcontrol/clock/*.docbook


%dir %_docdir/HTML/ru/kcontrol/kcmlaunch/
%doc %_docdir/HTML/ru/kcontrol/kcmlaunch/common
%doc %_docdir/HTML/ru/kcontrol/kcmlaunch/*.bz2
%doc %_docdir/HTML/ru/kcontrol/kcmlaunch/*.docbook



%dir %_docdir/HTML/ru/kcontrol/
%doc %_docdir/HTML/ru/kcontrol/common
%doc %_docdir/HTML/ru/kcontrol/*.bz2
%doc %_docdir/HTML/ru/kcontrol/*.docbook


%dir %_docdir/HTML/ru/kdebugdialog/
%doc %_docdir/HTML/ru/kdebugdialog/common
%doc %_docdir/HTML/ru/kdebugdialog/*.bz2
%doc %_docdir/HTML/ru/kdebugdialog/*.docbook

%dir %_docdir/HTML/ru/kfloppy/
%doc %_docdir/HTML/ru/kfloppy/common
%doc %_docdir/HTML/ru/kfloppy/*.bz2
%doc %_docdir/HTML/ru/kfloppy/*.docbook

%dir %_docdir/HTML/ru/kgpgcertmanager/
%doc %_docdir/HTML/ru/kgpgcertmanager/common
%doc %_docdir/HTML/ru/kgpgcertmanager/*.bz2
%doc %_docdir/HTML/ru/kgpgcertmanager/*.docbook


%dir %_docdir/HTML/ru/kcontrol/kmixcfg/
%doc %_docdir/HTML/ru/kcontrol/kmixcfg/common
%doc %_docdir/HTML/ru/kcontrol/kmixcfg/*.bz2
%doc %_docdir/HTML/ru/kcontrol/kmixcfg/*.docbook

%dir %_docdir/HTML/ru/kolf/
%doc %_docdir/HTML/ru/kolf/common
%doc %_docdir/HTML/ru/kolf/*.bz2
%doc %_docdir/HTML/ru/kolf/*.docbook

%dir %_docdir/HTML/ru/krec/
%doc %_docdir/HTML/ru/krec/common
%doc %_docdir/HTML/ru/krec/*.bz2
%doc %_docdir/HTML/ru/krec/*.docbook


%dir %_docdir/HTML/ru/konqueror/
%doc %_docdir/HTML/ru/konqueror/common
%doc %_docdir/HTML/ru/konqueror/*.bz2
%doc %_docdir/HTML/ru/konqueror/*.docbook

%dir %_docdir/HTML/ru/konq-plugins/
%dir %_docdir/HTML/ru/konq-plugins/babel/
%doc %_docdir/HTML/ru/konq-plugins/babel/common
%doc %_docdir/HTML/ru/konq-plugins/babel/*.bz2
%doc %_docdir/HTML/ru/konq-plugins/babel/*.docbook

%dir %_docdir/HTML/ru/konq-plugins/crashes/
%doc %_docdir/HTML/ru/konq-plugins/crashes/common
%doc %_docdir/HTML/ru/konq-plugins/crashes/*.bz2
%doc %_docdir/HTML/ru/konq-plugins/crashes/*.docbook


%dir %_docdir/HTML/ru/kpovmodeler/
%doc %_docdir/HTML/ru/kpovmodeler/common
%doc %_docdir/HTML/ru/kpovmodeler/*.bz2
%doc %_docdir/HTML/ru/kpovmodeler/*.docbook

%dir %_docdir/HTML/ru/kxconfig/
%doc %_docdir/HTML/ru/kxconfig/common
%doc %_docdir/HTML/ru/kxconfig/*.bz2
%doc %_docdir/HTML/ru/kxconfig/*.docbook

#
%dir %_datadir/locale/
%dir %_datadir/locale/ru/
%_datadir/locale/ru/charset
%_datadir/locale/ru/*.desktop
%_datadir/locale/ru/*.png
#
#
%dir %_datadir/locale/ru/LC_MESSAGES/
%_datadir/locale/ru/LC_MESSAGES/*.mo


%changelog
* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Thu Mar 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6 

* Tue Nov 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- kde3.1

* Wed Oct 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- fix group

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- require

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Thu Jul 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Remove koffice message

* Mon Jul 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Mon May 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Sun Apr 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- update

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Mon Feb 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0beta1

* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
